Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyRootDoc

    org.codehaus.groovy.groovydoc.GroovyDocErrorReporter
      org.codehaus.groovy.groovydoc.GroovyRootDoc
          org.codehaus.groovy.groovydoc.GroovyDoc

All Superinterfaces:
  GroovyDocErrorReporter, GroovyDoc

    public interface GroovyRootDoc
    extends GroovyDoc, GroovyDocErrorReporter

Method Summary
`GroovyClassDoc` | `classNamed(java.lang.String arg0)`
`GroovyClassDoc[]` | `classes()`
`java.util.Map` | `getVisibleClasses(java.util.List importedClassesAndPackages)`
`java.lang.String[]` | `options()`
`GroovyPackageDoc` | `packageNamed(java.lang.String arg0)`
`GroovyClassDoc[]` | `specifiedClasses()`
`GroovyPackageDoc[]` | `specifiedPackages()`

Methods inherited from interface GroovyDocErrorReporter
printError, printNotice, printWarning

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface java.lang.Comparable
java.lang.Comparable#compareTo(java.lang.Object)

Method Detail

### classNamed

    public GroovyClassDoc classNamed(java.lang.String arg0)

### classes

    public GroovyClassDoc[] classes()

### getVisibleClasses

    public java.util.Map getVisibleClasses(java.util.List importedClassesAndPackages)

### options

    public java.lang.String[] options()

### packageNamed

    public GroovyPackageDoc packageNamed(java.lang.String arg0)

### specifiedClasses

    public GroovyClassDoc[] specifiedClasses()

### specifiedPackages

    public GroovyPackageDoc[] specifiedPackages()

Groovy Documentation